Bug 1811 - Slider circle is misaligned
: Slider circle is misaligned
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 13:55 MSK by Anton Sterkhov
Modified: 2013-03-28 12:10 MSK (History)
3 users (show)

See Also:
RPM Package: rosa-elementary-theme
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Sterkhov 2013-03-22 13:55:12 MSK
Description of problem:
In certain apps both vertical and horizontal slider is misaligned with the axis of sliding (slider grip is misplaced by few pixels)


Steps to Reproduce:
1. Open volume control in KDE tray. See this: http://itmages.ru/image/view/607934/f4781339
2. Or, try to save the document in R-Office/Libreoffice, check out the browsing dialog: http://itmages.ru/image/view/607941/fb2c5254
Comment 1 Anton Sterkhov 2013-03-22 13:58:10 MSK
Advisory: "Gtk2: Fixed sliders, fixed element's focus style, fixed progressbars. Added new Gtk3 theme. Added new Gnome-shell theme. Fixed metacity theme for better view in Gnome3."

Build Lists:
https://abf.rosalinux.ru/build_lists/1021812
https://abf.rosalinux.ru/build_lists/1021813
Comment 2 Vladimir Potapov 2013-03-25 15:31:45 MSK
Please, write a list of changes so that you can check them.
How I Check
  *  Fixed element's focus style?
  *  Fixed progressbars?
  *  New new Gtk3 theme?
  *  New Gnome-shell theme?

	
Would very much like to get the screenshots Before and After the change.
Comment 3 Denis Koryavov 2013-03-25 16:14:28 MSK
Anton, please, build package without GTK3 support - this theme is not ready!
Comment 4 Anton Sterkhov 2013-03-26 10:03:56 MSK
New build lists, without GTK3 support:
https://abf.rosalinux.ru/build_lists/1042500
https://abf.rosalinux.ru/build_lists/1042501

How to check focusstyle:
1. Open dolphin
2. Click on the slider
3. If you can see blue focus (http://storage4.static.itmages.ru/i/13/0311/h_1362985915_7306673_d41d8cd98f.png), then the focusstyle bug stay still.

How to check progressbars
1. Open system settings
2. Open «Application Appearance»
3. Progressbars should be without rounded corners.
Comment 5 Vladimir Potapov 2013-03-27 16:27:37 MSK
rosa-elementary-theme-2.5.4-1-rosa2012.1
************************* Advisory **************************
It is bugfix version:
Fixed sliders
fixed element's focus style 
fixed progressbars
*************************************************************
QA Verified